PCIE_GET_MINIMUM_LIN(9)

NAME
pcie_get_minimum_link - determine minimum link settings of a PCI device

SYNOPSIS

int pcie_get_minimum_link(struct pci_dev * dev, enum pci_bus_speed * speed, enum pcie_link_width * width);

ARGUMENTS

dev
    PCI device to query

speed
    storage for minimum speed

width
    storage for minimum width

DESCRIPTION

This function will walk up the PCI device chain and determine the minimum link width and speed of the device.

COPYRIGHT